/*
 *  TOPPERS Software
 *      Toyohashi Open Platform for Embedded Real-Time Systems
 *
 *  Copyright (C) 2014-2015 by Center for Embedded Computing Systems
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 *
 *  ܥեȥϡAUTOSARAUTomotive Open System ARchitecture˻
 *  ͤ˴ŤƤ롥嵭εϡAUTOSARŪ⻺Τ
 *  ϤʤAUTOSARϡAUTOSARͤ˴ŤեȥŪ
 *  ѤԤФơAUTOSARѡȥʡˤʤ뤳ȤƤ롥
 *  
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 *
 *  $Id: hsbrh850f1l_device.h 122 2015-07-17 01:31:28Z ertl-honda $
 */

/*
 * HSBRH850F1LܡɾΥǥХؿγ
 */

#ifndef _RH850F1L_DEVICE_H_
#define _RH850F1L_DEVICE_H_

#include "Os.h"

/*
 * LEDON/OFFѥ
 */
#define LED1		0x01
#define LED2		0x02
#define LED3		0x04
#define LED4		0x08
#define LED_OFF		0x00

/*
 *  LED³ݡȽ
 */ 
extern void led_init(void);

/*
 *  LED³ݡȽ񤭹
 */ 
extern void led_out(uint8 led_data);

/*
 * DIPå³ӥå
 */
#define DSW1		0x01
#define DSW2		0x02
#define DSW3		0x04
#define DSW4		0x08

/*
 * DIPå³ݡȽ
 */
extern void switch_dip_init(void);

/*
 * DIPå֤ɤ߹
 */
extern uint8 switch_dip_sense(void);

/*
 * ݡ1PUSHå³ӥå
 */
#define PSW1		0x02
#define PSW2		0x01

/*
 * PUSHå³ݡȽ
 */
extern void switch_push_init(void);

/*
 * PUSHå֤ɤ߹
 */
extern uint8 switch_push_sense(void);

/*
 * LEDȥåξ֥ޥ
 */
#define ON		1	/* LED䥹åON  */
#define OFF		0	/* LED䥹åOFF */

#endif /* _RH850F1L_DEVICE_H_ */
